Bug 820445 - PropertiesFileUpdate.update() fails with a "seek offset is negative" exception if called on a file that either does not exist or has a size of 0 bytes
PropertiesFileUpdate.update() fails with a "seek offset is negative" exceptio...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11 819145 820622
  Show dependency treegraph
 
Reported: 2012-05-09 19:55 EDT by Ian Springer
Modified: 2015-02-01 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 820622 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:10:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-09 19:55:40 EDT
This is a regression caused by a recent fix I made to this class (master commit e68540f).
Comment 1 Charles Crouch 2012-05-10 08:29:00 EDT
Setting to Urgent since it blocks 819145. I would expect that this issue should also be cloned so we have bugs targeting JON3.1.0 and RHQ4.5

Ian, I see a commit into master for this BZ (http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=1504ec41d2b9dc2e31526e619e150dfacffe474c). What's the status?
Comment 2 Ian Springer 2012-05-10 10:02:58 EDT
http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=1504ec4 fixes this in master.
Comment 5 Heiko W. Rupp 2013-09-01 06:10:13 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.